<form role="form" name="form">
    <div class="form-group">

      <h5>Kontaktperson</h5>

      <p></p>
      <table style="width:50%" id="inf_table" class="table">
        <tr>
          <th>Name</th>
          <th>Vorname</th>
          <th>E-Mail</th>
          <th>Telefonnummer</th>
        </tr>          
      </table>
      <p></p>       
      
    </div>

    <div class="form-group">

      <h5>Bitte kontaktieren Sie die Polizei und geben Sie die obenstehenden Kontaktdaten durch.</h5>
      <p>Wählen Sie "Complete", wenn dies geschehen ist.</p>

    </div>

    






      <script cam-script type="text/form-script">

        

        camForm.on('form-loaded', function() {
          // fetch the variable 'customVariable'
          camForm.variableManager.fetchVariable('vorname');
          camForm.variableManager.fetchVariable('nachname');
          camForm.variableManager.fetchVariable('phone');
          camForm.variableManager.fetchVariable('email');

          camForm.variableManager.fetchVariable('mail_count');

        });
    
        camForm.on('variables-fetched', function() {
          // value has been fetched from the backend
          var vorname = camForm.variableManager.variableValue('vorname');
          var nachname = camForm.variableManager.variableValue('nachname');
          var phone = camForm.variableManager.variableValue('phone');
          var email = camForm.variableManager.variableValue('email');

          //Inf Table
          $('#inf_table tr:last').after(
              "<tr><td>"+nachname+"</td><td>"+vorname+"</td><td>"+email+"</td><td>"+phone+"</td></tr>"
          );
          
          
          var mail_count = camForm.variableManager.variableValue('mail_count');
          console.log(mail_count)

        });


        camForm.on('submit', function() {
          
          var mail_count = camForm.variableManager.variableValue('mail_count');
          console.log(mail_count)
          if(mail_count==undefined){
            camForm.variableManager.variableValue('mail_count', 1);           
          }
          else{
            var newval = mail_count+1;
            camForm.variableManager.variableValue('mail_count', newval);
          }
          
    
        });


        
     

      </script>

</form>